activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From twright123 <timothy.wri...@kirtland.af.mil>
Subject Re: Ubuntu 8.10 CMS ./configure missing APR
Date Wed, 10 Dec 2008 19:42:39 GMT

First of all, I thank you for you quick response.

I thought of that, and you are right.  The apt-get version is really old.  I
downloaded the source for apr-1.3.3 and apr-util-1.3.4.  I built apr, and
that worked.  When I used --with-apr and the freshly build libraries, the
./configure found it.  

However, there is no build documentation for the apr-util.  I have trying to
build that, but so far I have been unsuccessful.  

It might be a good idea to add apr-1.3 or higher and apr-util-1.3 or higher
to the list of required libraries in the cms build instructions.


Timothy Bish wrote:
> 
> CMS Version 2.2.2 requires APR version 1.3 or higher along with APR-Util
> 1.3 or higher, what version did the apt-get actually install.  I haven't
> seen many distros providing the APR 1.3 libs as packages yet so you may
> have to build them from source.
> 
> -- 
> Tim Bish
> http://fusesource.com
> http://timbish.blogspot.com/
> 
> 
> On Wed, 2008-12-10 at 10:51 -0800, twright123 wrote:
>> I am trying to build the source for the CMS 2.2.2 release.  ./configure
>> says
>> I'm missing APR.  I did an apt-get for both apr and apr-util, and I
>> re-ran
>> the autogen.sh, but it still can not find it.  The lib*.so files are
>> located
>> in /usr/lib.  I tried setting --with-apr /usr/lib --with-apr-lib /usr/lib
>> but that also didn't work.
>> 
>> What next?
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/Ubuntu-8.10-CMS-.-configure-missing-APR-tp20941642p20942684.html
Sent from the ActiveMQ - Dev mailing list archive at Nabble.com.


Mime
View raw message